# Generated by Django 3.1.2 on 2020-12-21 06:40

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Command',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField()),
                ('is_disabled', models.BooleanField(default=False)),
                ('is_logged', models.BooleanField(default=False)),
                ('is_pending', models.BooleanField(default=False)),
                ('is_running', models.BooleanField(default=False)),
                ('priority', models.IntegerField(default=0)),
                ('repeat_seconds', models.IntegerField(null=True)),
                ('started_at', models.DateTimeField(null=True)),
                ('completed_at', models.DateTimeField(null=True)),
            ],
            options={
                'db_table': 'django_schedule_commands_command',
            },
        ),
        migrations.CreateModel(
            name='Exc',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('exc_type', models.TextField()),
                ('exc_value', models.TextField()),
                ('exc_traceback', models.TextField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'db_table': 'django_schedule_commands_exc',
            },
        ),
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(unique=True)),
            ],
            options={
                'db_table': 'django_schedule_commands_group',
            },
        ),
        migrations.CreateModel(
            name='Log',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('started_at', models.DateTimeField(auto_now_add=True)),
                ('completed_at', models.DateTimeField()),
                ('command', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='log_set', to='django_schedule_commands.command')),
            ],
            options={
                'db_table': 'django_schedule_commands_log',
            },
        ),
        migrations.AddIndex(
            model_name='group',
            index=models.Index(fields=['name'], name='django_sche_name_d6bc07_idx'),
        ),
        migrations.AddField(
            model_name='exc',
            name='command',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='exc_set', to='django_schedule_commands.command'),
        ),
        migrations.AddField(
            model_name='command',
            name='group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='command_set', to='django_schedule_commands.group'),
        ),
        migrations.AddIndex(
            model_name='log',
            index=models.Index(fields=['command'], name='django_sche_command_1e3aba_idx'),
        ),
        migrations.AddIndex(
            model_name='log',
            index=models.Index(fields=['-completed_at'], name='django_sche_complet_73e70a_idx'),
        ),
        migrations.AddIndex(
            model_name='exc',
            index=models.Index(fields=['command'], name='django_sche_command_32b4e1_idx'),
        ),
        migrations.AddIndex(
            model_name='exc',
            index=models.Index(fields=['-created_at'], name='django_sche_created_da3031_idx'),
        ),
        migrations.AddIndex(
            model_name='command',
            index=models.Index(fields=['group'], name='django_sche_group_i_8f827e_idx'),
        ),
        migrations.AddIndex(
            model_name='command',
            index=models.Index(fields=['group', 'is_disabled'], name='django_sche_group_i_e7038e_idx'),
        ),
        migrations.AddIndex(
            model_name='command',
            index=models.Index(fields=['is_disabled'], name='django_sche_is_disa_f353f5_idx'),
        ),
        migrations.AddIndex(
            model_name='command',
            index=models.Index(fields=['is_pending'], name='django_sche_is_pend_4e5a8d_idx'),
        ),
        migrations.AddIndex(
            model_name='command',
            index=models.Index(fields=['priority'], name='django_sche_priorit_e9b501_idx'),
        ),
        migrations.AlterUniqueTogether(
            name='command',
            unique_together={('group', 'name')},
        ),
    ]
